Package com.omnisci.thrift.server

## Interface OmniSci.Iface

All Known Implementing Classes:
  `OmniSci.Client`

Enclosing class:
  OmniSci

    public static interface OmniSci.Iface

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `broadcast_serialized_rows​(TSerializedRows serialized_rows, List<TColumnType> row_desc, long query_id, long subquery_id, boolean is_final_subquery_result)`
`TTableMeta` `check_table_consistency​(String session, int table_id)`
`void` `checkpoint​(String session, int table_id)`
`void` `clear_cpu_memory​(String session)`
`void` `clear_gpu_memory​(String session)`
`String` `clone_session​(String session)`
`String` `connect​(String user, String passwd, String dbname)`
`int` `create_dashboard​(String session, String dashboard_name, String dashboard_state, String image_hash, String dashboard_metadata)`
`String` `create_link​(String session, String view_state, String view_metadata)`
`void` `create_table​(String session, String table_name, List<TColumnType> row_desc, TFileType file_type, TCreateParams create_params)`
`void` `deallocate_df​(String session, TDataFrame df, TDeviceType device_type, int device_id)`
`void` `delete_dashboard​(String session, int dashboard_id)`
`void` `delete_dashboards​(String session, List<Integer> dashboard_ids)`
`TDetectResult` `detect_column_types​(String session, String file_name, TCopyParams copy_params)`
`void` `disconnect​(String session)`
`TRenderStepResult` `execute_next_render_step​(TPendingRenderQuery pending_render, Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)`
`TStepResult` `execute_query_step​(TPendingQuery pending_query, long subquery_id, String start_time_str)`
`List<String>` `get_all_files_in_archive​(String session, String archive_path, TCopyParams copy_params)`
`List<String>` `get_all_roles_for_user​(String session, String userName)`
`List<TCompletionHint>` `get_completion_hints​(String session, String sql, int cursor)`
`TDashboard` `get_dashboard​(String session, int dashboard_id)`
`List<TDashboardGrantees>` `get_dashboard_grantees​(String session, int dashboard_id)`
`List<TDashboard>` `get_dashboards​(String session)`
`List<TDBInfo>` `get_databases​(String session)`
`List<TDBObject>` `get_db_object_privs​(String session, String objectName, TDBObjectType type)`
`List<TDBObject>` `get_db_objects_for_grantee​(String session, String roleName)`
`Map<String,​String>` `get_device_parameters​(String session)`
`String` `get_first_geo_file_in_archive​(String session, String archive_path, TCopyParams copy_params)`
`TClusterHardwareInfo` `get_hardware_info​(String session)`
`String` `get_heap_profile​(String session)`
`TTableDetails` `get_internal_table_details​(String session, String table_name)`
`List<TGeoFileLayerInfo>` `get_layers_in_geo_file​(String session, String file_name, TCopyParams copy_params)`
`TLicenseInfo` `get_license_claims​(String session, String nonce)`
`TFrontendView` `get_link_view​(String session, String link)`
`List<TNodeMemoryInfo>` `get_memory​(String session, String memory_level)`
`List<String>` `get_physical_tables​(String session)`
`TPixelTableRowResult` `get_result_row_for_pixel​(String session, long widget_id, TPixel pixel, Map<String,​List<String>> table_col_names, boolean column_format, int pixelRadius, String nonce)`
`List<String>` `get_roles​(String session)`
`TServerStatus` `get_server_status​(String session)`
`TSessionInfo` `get_session_info​(String session)`
`List<TServerStatus>` `get_status​(String session)`
`TTableDetails` `get_table_details​(String session, String table_name)`
`int` `get_table_epoch​(String session, int db_id, int table_id)`
`int` `get_table_epoch_by_name​(String session, String table_name)`
`List<TTableEpochInfo>` `get_table_epochs​(String session, int db_id, int table_id)`
`List<String>` `get_tables​(String session)`
`List<TTableMeta>` `get_tables_meta​(String session)`
`List<String>` `get_users​(String session)`
`String` `get_version()`
`List<String>` `get_views​(String session)`
`boolean` `has_object_privilege​(String session, String granteeName, String ObjectName, TDBObjectType objectType, TDBObjectPermissions permissions)`
`boolean` `has_role​(String session, String granteeName, String roleName)`
`void` `import_geo_table​(String session, String table_name, String file_name, TCopyParams copy_params, List<TColumnType> row_desc, TCreateParams create_params)`
`void` `import_table​(String session, String table_name, String file_name, TCopyParams copy_params)`
`TImportStatus` `import_table_status​(String session, String import_id)`
`void` `insert_data​(String session, TInsertData insert_data)`
`void` `interrupt​(String query_session, String interrupt_session)`
`void` `invalidate_cur_session​(String parent_session, String leaf_session, String start_time_str, String label)`
`TKrb5Session` `krb5_connect​(String inputToken, String dbname)`
`void` `load_table​(String session, String table_name, List<TStringRow> rows, List<String> column_names)`
`void` `load_table_binary​(String session, String table_name, List<TRow> rows, List<String> column_names)`
`void` `load_table_binary_arrow​(String session, String table_name, ByteBuffer arrow_stream, boolean use_column_names)`
`void` `load_table_binary_columnar​(String session, String table_name, List<TColumn> cols, List<String> column_names)`
`void` `load_table_binary_columnar_polys​(String session, String table_name, List<TColumn> cols, List<String> column_names, boolean assign_render_groups)`
`long` `query_get_outer_fragment_count​(String session, String query)`
`void` `register_runtime_extension_functions​(String session, List<TUserDefinedFunction> udfs, List<TUserDefinedTableFunction> udtfs, Map<String,​String> device_ir_map)`
`TRenderResult` `render_vega​(String session, long widget_id, String vega_json, int compression_level, String nonce)`
`void` `replace_dashboard​(String session, int dashboard_id, String dashboard_name, String dashboard_owner, String dashboard_state, String image_hash, String dashboard_metadata)`
`void` `set_cur_session​(String parent_session, String leaf_session, String start_time_str, String label)`
`void` `set_execution_mode​(String session, TExecuteMode mode)`
`TLicenseInfo` `set_license_key​(String session, String key, String nonce)`
`void` `set_table_epoch​(String session, int db_id, int table_id, int new_epoch)`
`void` `set_table_epoch_by_name​(String session, String table_name, int new_epoch)`
`void` `set_table_epochs​(String session, int db_id, List<TTableEpochInfo> table_epochs)`
`void` `share_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions, boolean grant_role)`
`void` `share_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions)`
`TQueryResult` `sql_execute​(String session, String query, boolean column_format, String nonce, int first_n, int at_most_n)`
`TDataFrame` `sql_execute_df​(String session, String query, TDeviceType device_type, int device_id, int first_n, TArrowTransport transport_method)`
`TDataFrame` `sql_execute_gdf​(String session, String query, int device_id, int first_n)`
`List<TColumnType>` `sql_validate​(String session, String query)`
`void` `start_heap_profile​(String session)`
`TPendingQuery` `start_query​(String leaf_session, String parent_session, String query_ra, String start_time_str, boolean just_explain, List<Long> outer_fragment_indices)`
`TPendingRenderQuery` `start_render_query​(String session, long widget_id, short node_idx, String vega_json)`
`void` `stop_heap_profile​(String session)`
`void` `switch_database​(String session, String dbname)`
`void` `unshare_dashboard​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions)`
`void` `unshare_dashboards​(String session, List<Integer> dashboard_ids, List<String> groups, TDashboardPermissions permissions)`

### Method Detail

#### connect

    String connect​(String user,
                   String passwd,
                   String dbname)
            throws TOmniSciException,
                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### krb5_connect

    TKrb5Session krb5_connect​(String inputToken,
                              String dbname)
                       throws TOmniSciException,
                              org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### disconnect

    void disconnect​(String session)
             throws TOmniSciException,
                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### switch_database

    void switch_database​(String session,
                         String dbname)
                  throws TOmniSciException,
                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### clone_session

    String clone_session​(String session)
                  throws TOmniSciException,
                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_server_status

    TServerStatus get_server_status​(String session)
                             throws TOmniSciException,
                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_status

    List<TServerStatus> get_status​(String session)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_hardware_info

    TClusterHardwareInfo get_hardware_info​(String session)
                                    throws TOmniSciException,
                                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_tables

    List<String> get_tables​(String session)
                     throws TOmniSciException,
                            org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_physical_tables

    List<String> get_physical_tables​(String session)
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_views

    List<String> get_views​(String session)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_tables_meta

    List<TTableMeta> get_tables_meta​(String session)
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_table_details

    TTableDetails get_table_details​(String session,
                                    String table_name)
                             throws TOmniSciException,
                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_internal_table_details

    TTableDetails get_internal_table_details​(String session,
                                             String table_name)
                                      throws TOmniSciException,
                                             org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_users

    List<String> get_users​(String session)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_databases

    List<TDBInfo> get_databases​(String session)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_version

    String get_version()
                throws TOmniSciException,
                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### start_heap_profile

    void start_heap_profile​(String session)
                     throws TOmniSciException,
                            org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### stop_heap_profile

    void stop_heap_profile​(String session)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_heap_profile

    String get_heap_profile​(String session)
                     throws TOmniSciException,
                            org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_memory

    List<TNodeMemoryInfo> get_memory​(String session,
                                     String memory_level)
                              throws TOmniSciException,
                                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### clear_cpu_memory

    void clear_cpu_memory​(String session)
                   throws TOmniSciException,
                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### clear_gpu_memory

    void clear_gpu_memory​(String session)
                   throws TOmniSciException,
                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_cur_session

    void set_cur_session​(String parent_session,
                         String leaf_session,
                         String start_time_str,
                         String label)
                  throws TOmniSciException,
                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### invalidate_cur_session

    void invalidate_cur_session​(String parent_session,
                                String leaf_session,
                                String start_time_str,
                                String label)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_table_epoch

    void set_table_epoch​(String session,
                         int db_id,
                         int table_id,
                         int new_epoch)
                  throws TOmniSciException,
                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_table_epoch_by_name

    void set_table_epoch_by_name​(String session,
                                 String table_name,
                                 int new_epoch)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_table_epoch

    int get_table_epoch​(String session,
                        int db_id,
                        int table_id)
                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_table_epoch_by_name

    int get_table_epoch_by_name​(String session,
                                String table_name)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_table_epochs

    List<TTableEpochInfo> get_table_epochs​(String session,
                                           int db_id,
                                           int table_id)
                                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### set_table_epochs

    void set_table_epochs​(String session,
                          int db_id,
                          List<TTableEpochInfo> table_epochs)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_session_info

    TSessionInfo get_session_info​(String session)
                           throws TOmniSciException,
                                  org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### sql_execute

    TQueryResult sql_execute​(String session,
                             String query,
                             boolean column_format,
                             String nonce,
                             int first_n,
                             int at_most_n)
                      throws TOmniSciException,
                             org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### sql_execute_df

    TDataFrame sql_execute_df​(String session,
                              String query,
                              TDeviceType device_type,
                              int device_id,
                              int first_n,
                              TArrowTransport transport_method)
                       throws TOmniSciException,
                              org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### sql_execute_gdf

    TDataFrame sql_execute_gdf​(String session,
                               String query,
                               int device_id,
                               int first_n)
                        throws TOmniSciException,
                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### deallocate_df

    void deallocate_df​(String session,
                       TDataFrame df,
                       TDeviceType device_type,
                       int device_id)
                throws TOmniSciException,
                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### interrupt

    void interrupt​(String query_session,
                   String interrupt_session)
            throws TOmniSciException,
                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### sql_validate

    List<TColumnType> sql_validate​(String session,
                                   String query)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_completion_hints

    List<TCompletionHint> get_completion_hints​(String session,
                                               String sql,
                                               int cursor)
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_execution_mode

    void set_execution_mode​(String session,
                            TExecuteMode mode)
                     throws TOmniSciException,
                            org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### render_vega

    TRenderResult render_vega​(String session,
                              long widget_id,
                              String vega_json,
                              int compression_level,
                              String nonce)
                       throws TOmniSciException,
                              org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_result_row_for_pixel

    TPixelTableRowResult get_result_row_for_pixel​(String session,
                                                  long widget_id,
                                                  TPixel pixel,
                                                  Map<String,​List<String>> table_col_names,
                                                  boolean column_format,
                                                  int pixelRadius,
                                                  String nonce)
                                           throws TOmniSciException,
                                                  org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_dashboard

    TDashboard get_dashboard​(String session,
                             int dashboard_id)
                      throws TOmniSciException,
                             org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_dashboards

    List<TDashboard> get_dashboards​(String session)
                             throws TOmniSciException,
                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### create_dashboard

    int create_dashboard​(String session,
                         String dashboard_name,
                         String dashboard_state,
                         String image_hash,
                         String dashboard_metadata)
                  throws TOmniSciException,
                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### replace_dashboard

    void replace_dashboard​(String session,
                           int dashboard_id,
                           String dashboard_name,
                           String dashboard_owner,
                           String dashboard_state,
                           String image_hash,
                           String dashboard_metadata)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### delete_dashboard

    void delete_dashboard​(String session,
                          int dashboard_id)
                   throws TOmniSciException,
                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### share_dashboards

    void share_dashboards​(String session,
                          List<Integer> dashboard_ids,
                          List<String> groups,
                          TDashboardPermissions permissions)
                   throws TOmniSciException,
                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### delete_dashboards

    void delete_dashboards​(String session,
                           List<Integer> dashboard_ids)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### share_dashboard

    void share_dashboard​(String session,
                         int dashboard_id,
                         List<String> groups,
                         List<String> objects,
                         TDashboardPermissions permissions,
                         boolean grant_role)
                  throws TOmniSciException,
                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### unshare_dashboard

    void unshare_dashboard​(String session,
                           int dashboard_id,
                           List<String> groups,
                           List<String> objects,
                           TDashboardPermissions permissions)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### unshare_dashboards

    void unshare_dashboards​(String session,
                            List<Integer> dashboard_ids,
                            List<String> groups,
                            TDashboardPermissions permissions)
                     throws TOmniSciException,
                            org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_dashboard_grantees

    List<TDashboardGrantees> get_dashboard_grantees​(String session,
                                                    int dashboard_id)
                                             throws TOmniSciException,
                                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_link_view

    TFrontendView get_link_view​(String session,
                                String link)
                         throws TOmniSciException,
                                org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### create_link

    String create_link​(String session,
                       String view_state,
                       String view_metadata)
                throws TOmniSciException,
                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table_binary

    void load_table_binary​(String session,
                           String table_name,
                           List<TRow> rows,
                           List<String> column_names)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table_binary_columnar

    void load_table_binary_columnar​(String session,
                                    String table_name,
                                    List<TColumn> cols,
                                    List<String> column_names)
                             throws TOmniSciException,
                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table_binary_columnar_polys

    void load_table_binary_columnar_polys​(String session,
                                          String table_name,
                                          List<TColumn> cols,
                                          List<String> column_names,
                                          boolean assign_render_groups)
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table_binary_arrow

    void load_table_binary_arrow​(String session,
                                 String table_name,
                                 ByteBuffer arrow_stream,
                                 boolean use_column_names)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### load_table

    void load_table​(String session,
                    String table_name,
                    List<TStringRow> rows,
                    List<String> column_names)
             throws TOmniSciException,
                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### detect_column_types

    TDetectResult detect_column_types​(String session,
                                      String file_name,
                                      TCopyParams copy_params)
                               throws TOmniSciException,
                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### create_table

    void create_table​(String session,
                      String table_name,
                      List<TColumnType> row_desc,
                      TFileType file_type,
                      TCreateParams create_params)
               throws TOmniSciException,
                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### import_table

    void import_table​(String session,
                      String table_name,
                      String file_name,
                      TCopyParams copy_params)
               throws TOmniSciException,
                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### import_geo_table

    void import_geo_table​(String session,
                          String table_name,
                          String file_name,
                          TCopyParams copy_params,
                          List<TColumnType> row_desc,
                          TCreateParams create_params)
                   throws TOmniSciException,
                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### import_table_status

    TImportStatus import_table_status​(String session,
                                      String import_id)
                               throws TOmniSciException,
                                      org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_first_geo_file_in_archive

    String get_first_geo_file_in_archive​(String session,
                                         String archive_path,
                                         TCopyParams copy_params)
                                  throws TOmniSciException,
                                         org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_all_files_in_archive

    List<String> get_all_files_in_archive​(String session,
                                          String archive_path,
                                          TCopyParams copy_params)
                                   throws TOmniSciException,
                                          org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_layers_in_geo_file

    List<TGeoFileLayerInfo> get_layers_in_geo_file​(String session,
                                                   String file_name,
                                                   TCopyParams copy_params)
                                            throws TOmniSciException,
                                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### query_get_outer_fragment_count

    long query_get_outer_fragment_count​(String session,
                                        String query)
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### check_table_consistency

    TTableMeta check_table_consistency​(String session,
                                       int table_id)
                                throws TOmniSciException,
                                       org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### start_query

    TPendingQuery start_query​(String leaf_session,
                              String parent_session,
                              String query_ra,
                              String start_time_str,
                              boolean just_explain,
                              List<Long> outer_fragment_indices)
                       throws TOmniSciException,
                              org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### execute_query_step

    TStepResult execute_query_step​(TPendingQuery pending_query,
                                   long subquery_id,
                                   String start_time_str)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### broadcast_serialized_rows

    void broadcast_serialized_rows​(TSerializedRows serialized_rows,
                                   List<TColumnType> row_desc,
                                   long query_id,
                                   long subquery_id,
                                   boolean is_final_subquery_result)
                            throws TOmniSciException,
                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### start_render_query

    TPendingRenderQuery start_render_query​(String session,
                                           long widget_id,
                                           short node_idx,
                                           String vega_json)
                                    throws TOmniSciException,
                                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### execute_next_render_step

    TRenderStepResult execute_next_render_step​(TPendingRenderQuery pending_render,
                                               Map<String,​Map<String,​Map<String,​Map<String,​List<TRenderDatum>>>>> merged_data)
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### insert_data

    void insert_data​(String session,
                     TInsertData insert_data)
              throws TOmniSciException,
                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### checkpoint

    void checkpoint​(String session,
                    int table_id)
             throws TOmniSciException,
                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_roles

    List<String> get_roles​(String session)
                    throws TOmniSciException,
                           org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_db_objects_for_grantee

    List<TDBObject> get_db_objects_for_grantee​(String session,
                                               String roleName)
                                        throws TOmniSciException,
                                               org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_db_object_privs

    List<TDBObject> get_db_object_privs​(String session,
                                        String objectName,
                                        TDBObjectType type)
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_all_roles_for_user

    List<String> get_all_roles_for_user​(String session,
                                        String userName)
                                 throws TOmniSciException,
                                        org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### has_role

    boolean has_role​(String session,
                     String granteeName,
                     String roleName)
              throws TOmniSciException,
                     org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### has_object_privilege

    boolean has_object_privilege​(String session,
                                 String granteeName,
                                 String ObjectName,
                                 TDBObjectType objectType,
                                 TDBObjectPermissions permissions)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### set_license_key

    TLicenseInfo set_license_key​(String session,
                                 String key,
                                 String nonce)
                          throws TOmniSciException,
                                 org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_license_claims

    TLicenseInfo get_license_claims​(String session,
                                    String nonce)
                             throws TOmniSciException,
                                    org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### get_device_parameters

    Map<String,​String> get_device_parameters​(String session)
                                            throws TOmniSciException,
                                                   org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`

#### register_runtime_extension_functions

    void register_runtime_extension_functions​(String session,
                                              List<TUserDefinedFunction> udfs,
                                              List<TUserDefinedTableFunction> udtfs,
                                              Map<String,​String> device_ir_map)
                                       throws TOmniSciException,
                                              org.apache.thrift.TException

Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`